%define snortroot /var/chroot/snort
%define cvstag rc2

Summary:	A program to process Snort logs.
Name:		barnyard
Version:	0.1.0
Release:	1.3.0
Copyright:	QPL
Group:		Applications/Internet
URL:		http://www.snort.org/Files/
Source0:	%{name}-%{version}-%{cvstag}.tar.gz
Patch0:		barnyard-0.1.0-rc2-barnyard.conf-alert_csv-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{release}-root
PreReq:		snort
BuildRequires:	libpcap >= 0.4

%description
Barnyard is a tool used to increase the speed of snort. Barnyard reads
the unified output from Snort and produces output is many different,
flexible, forms.  The Guardian Digital WebTool uses this program.

%files
  %defattr(-,root,root)
  %doc AUTHORS COPYING LICENSE.QPL README docs/*

  %attr(500,root,root)	%{snortroot}/%{_bindir}/barnyard
  %attr(640,root,snort)	%{snortroot}/%{_sysconfdir}/barnyard.conf

%prep
%setup -q -n %{name}-%{version}-%{cvstag}
%patch0 -p1

%build
  CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=%{snortroot} --with-mysql
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{snortroot}/{%{_bindir},%{_sysconfdir}}

  make prefix=$RPM_BUILD_ROOT/%{snortroot} \
       bindir=$RPM_BUILD_ROOT/%{snortroot}/%{_bindir} \
       sysconfdir=$RPM_BUILD_ROOT/%{snortroot}/%{_sysconfdir} \
       mandir=$RPM_BUILD_ROOT/%{_mandir} install

  install etc/barnyard.conf $RPM_BUILD_ROOT/%{snortroot}/etc

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Mar 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.1.0 (rc2), Release 1.5.1
  - Make snort PreReq so user 'snort' exists.

* Mon Feb 24 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Thu Jul 25 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.1.0 (rc2), Release 1.2.2
  - Added 'alert_csv' output in barnyard.conf.

* Wed Jul 17 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.1.0 (rc2), Release 1.2.1
  - New upstream version.

* Wed Jun 12 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.1.0 (beta7), Release 1.2.0
  - Initial version for EnGarde.  The force is strong in this one.
